#ifndef LLVM_TRANSFORMS_SCALAR_FLOWMARKER_H
#define LLVM_TRANSFORMS_SCALAR_FLOWMARKER_H

#include "llvm/IR/PassManager.h"
namespace llvm {
  using namespace llvm;

class FlowMarkerPass
  :public PassInfoMixin<FlowMarkerPass> {
    StringRef Mark;
    StringRef FnName;
public:
  FlowMarkerPass(StringRef Mark = "", StringRef FnName = "");
  PreservedAnalyses run(Function& F, FunctionAnalysisManager &);
  PreservedAnalyses run(Module& M, ModuleAnalysisManager &);
  StringRef oname() const { return Mark; }
};

}

#endif
